# coding:utf-8

module Monpe

  #monpeのオブジェクトのグループに対応するクラス。
  #グループの要素としてオブジェクトとグループが入る。
  #
  class Group

    #:call-seq:
    #  add(child) -> self
    #
    #グループに子要素を追加する。
    #
    #* 引数 child: Monpe::Object::ObjectまたはMonpe::Group
    #* 戻り値: self
    def add(child)
    end

    #:call-seq:
    #  remove(child) -> self
    #
    #グループから子要素を削除する。
    #引数の子要素がグループにない場合は何もしない。
    #
    #* 引数 child: Monpe::Object::ObjectまたはMonpe::Group
    #* 戻り値: self
    def remove(child)
    end

    #:call-seq:
    #  get_children -> Array
    #
    #グループの子要素のArrayを返す。
    #
    #* 戻り値: グループの子要素のArray
    def get_children
    end

    private

  end
end
