# coding:utf-8

module Monpe

  #テキスト行に対応するクラス
  class TextLine
    #テキスト
    attr_reader :text

    #フォント
    attr_reader :font

    #フォントの高さ=文字サイズ
    attr_reader :height

    #:call-seq:
    #  new(text,font,height) -> self
    #
    #TextLineを作成する。
    #
    #* 引数 text: テキスト文字列
    #* 引数 font: フォント(Monpe::Font)
    #* 引数 height: 文字列の高さ
    #* 戻り値: self
    def initialize(text,font,height)
      @text   = text
      @font   = font
      @height = height
    end

    private

  end
end
