#coding:utf-8

gem 'minitest'
require 'minitest'
require 'minitest/autorun'
require 'minitest/unit'
require 'pp'
require 'test_helper'
require 'json'

class Monpe::TestItemsEmbedImage < MiniTest::Unit::TestCase

  include Monpe::TestHelper

  def setup
    info = Monpe::Parser.parse(data_file('test_items_embed_image.red'))
    @objects = info["layers"][0].items
  end

  def teardown
  end

  def export_a4(file)
    rdrr = Monpe::Renderer.new(out_file(file))
    rdrr.begin_render(21.0,29.7,{})
    yield rdrr
    rdrr.end_render
    rdrr.finish
  end
  
  def test_embed_image1
    export_a4(out_file('test_items_embed_image_.pdf')) do |rdrr|
      @objects[0].set_data(data_file('test.bmp'))
      @objects[0].render(rdrr)
      @objects[1].set_data(data_file('test.bmp'))
      @objects[1].render(rdrr)
      @objects[2].set_data(data_file('test.bmp'))
      @objects[2].render(rdrr)
      @objects[3].set_data(data_file('test.bmp'))
      @objects[3].render(rdrr)
    end
  end
end
