#coding:utf-8

gem 'minitest'
require 'minitest/autorun'
require 'minitest/unit'
require 'pp'
require 'test_helper'

class Monpe::TestExport < MiniTest::Unit::TestCase

  include Monpe::TestHelper

  def setup
  end

  def teardown
  end
  
  def test_export1
    reports = [
      Monpe::Report.new(data_file('test_report_all.red')),
      Monpe::Report.new(data_file('test_report_layers.red')),
      Monpe::Report.new(data_file('test_report_landscape.red')),
      Monpe::Report.new(data_file('test_report_scale1.red')),
      Monpe::Report.new(data_file('test_report_margin1.red')),
      Monpe::Report.new(data_file('test_report_custom1.red')),
    ]
    Monpe.export(reports,out_file('test_export1.pdf'))
  end

  def test_export2
    report = Monpe::Report.new(data_file('test_report_all.red'))
    Monpe.export(report,out_file('test_export2.pdf'))
  end

  def test_export3
    report = Monpe::Report.new(data_file('HC02.red'))
    Monpe.export(report,out_file('HC02.pdf'))
  end

end
