#coding:utf-8

gem 'minitest'
require 'minitest/autorun'
require 'minitest/unit'
require 'pp'
require 'test_helper'

class Monpe::TestOffset < MiniTest::Unit::TestCase

  include Monpe::TestHelper

  def setup
  end

  def teardown
  end
  
  def test_offset1
    report = Monpe::Report.new(data_file('test_offset.red'))
    rdrr = Monpe::Renderer.new(out_file('test_offset1.pdf'))
    report.set_offset(0.0,0.0)
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish

    rdrr = Monpe::Renderer.new(out_file('test_offset2.pdf'))
    report.set_offset(1.0,0.5)
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish

    rdrr = Monpe::Renderer.new(out_file('test_offset3.pdf'))
    report.set_offset(-1.0,-0.5)
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish

    r1 = Monpe::Report.new(data_file('test_offset.red'))
    r2 = Monpe::Report.new(data_file('test_offset.red'))
    r2.set_offset(1.0,0.5)
    r3 = Monpe::Report.new(data_file('test_offset.red'))
    r3.set_offset(-1.0,-0.5)
    Monpe.export([r1,r2,r3],out_file('test_offset4.pdf'))
  end

end
