#coding:utf-8

gem 'minitest'
require 'minitest'
require 'minitest/autorun'
require 'minitest/unit'
require 'pp'
require 'test_helper'
require 'json'

class Monpe::TestRendererImage < MiniTest::Unit::TestCase

  include Monpe::TestHelper

  def setup
  end

  def teardown
  end

  def export_a4(file)
    rdrr = Monpe::Renderer.new(out_file(file))
    rdrr.begin_render(21.0,29.7,{})
    yield rdrr
    rdrr.end_render
    rdrr.finish
  end
  
  def test_draw_image1
    export_a4(out_file('test_render_image_.pdf')) do |rdrr|
=begin
     [{"type"=>"Standard - Image",
       "version"=>"0",
       "id"=>"O0",
       "attributes"=>
        {"obj_pos"=>{"val"=>[1.8, 1.7], "t"=>"point"},
         "obj_bb"=>{"val"=>[1.75, 1.65, 3.85, 3.75], "t"=>"rectangle"},
         "elem_corner"=>{"val"=>[1.8, 1.7], "t"=>"point"},
         "elem_width"=>{"val"=>1.9999999999999998, "t"=>"real"},
         "elem_height"=>{"val"=>1.9999999999999998, "t"=>"real"},
         "draw_border"=>{"val"=>false, "t"=>"bool"},
         "keep_aspect"=>{"val"=>true, "t"=>"bool"},
         "file"=>{"val"=>"test.png", "t"=>"string"}}},
      {"type"=>"Standard - Image",
       "version"=>"0",
       "id"=>"O1",
       "attributes"=>
        {"obj_pos"=>{"val"=>[2.3, 6.8], "t"=>"point"},
         "obj_bb"=>{"val"=>[2.25, 6.75, 7.95, 12.45], "t"=>"rectangle"},
         "elem_corner"=>{"val"=>[2.3, 6.8], "t"=>"point"},
         "elem_width"=>{"val"=>5.600000381469727, "t"=>"real"},
         "elem_height"=>{"val"=>5.599999904632569, "t"=>"real"},
         "draw_border"=>{"val"=>false, "t"=>"bool"},
         "keep_aspect"=>{"val"=>true, "t"=>"bool"},
         "file"=>{"val"=>"test.jpg", "t"=>"string"}}},
      {"type"=>"Standard - Image",
       "version"=>"0",
       "id"=>"O2",
       "attributes"=>
        {"obj_pos"=>{"val"=>[12.5, 1.1], "t"=>"point"},
         "obj_bb"=>{"val"=>[12.45, 1.05, 19.3, 7.9], "t"=>"rectangle"},
         "elem_corner"=>{"val"=>[12.5, 1.1], "t"=>"point"},
         "elem_width"=>{"val"=>6.750000000000001, "t"=>"real"},
         "elem_height"=>{"val"=>6.750001907348633, "t"=>"real"},
         "draw_border"=>{"val"=>false, "t"=>"bool"},
         "keep_aspect"=>{"val"=>true, "t"=>"bool"},
         "file"=>{"val"=>"test.bmp", "t"=>"string"}}},
      {"type"=>"Standard - Image",
       "version"=>"0",
       "id"=>"O3",
       "attributes"=>
        {"obj_pos"=>{"val"=>[9.35, 6.15], "t"=>"point"},
         "obj_bb"=>{"val"=>[9.3, 6.1, 11.4, 8.2], "t"=>"rectangle"},
         "elem_corner"=>{"val"=>[9.35, 6.15], "t"=>"point"},
         "elem_width"=>{"val"=>2.0, "t"=>"real"},
         "elem_height"=>{"val"=>2.0, "t"=>"real"},
         "draw_border"=>{"val"=>false, "t"=>"bool"},
         "keep_aspect"=>{"val"=>true, "t"=>"bool"},
         "file"=>{"val"=>"", "t"=>"string"}}}]}]}
=end
      image = Monpe::Image.new(data_file('test.png'))
      rdrr.draw_image(Monpe::Point.new(1.8,1.7),2.0,2.0,image)

      image = Monpe::Image.new(data_file('test.jpg'))
      rdrr.draw_image(Monpe::Point.new(2.3,6.8),5.6,5.6,image)

      image = Monpe::Image.new(data_file('test.bmp'))
      rdrr.draw_image(Monpe::Point.new(12.5,1.1),6.75,6.75,image)

      image = Monpe::Image.new(data_file(''))
      rdrr.draw_image(Monpe::Point.new(9.35,6.15),2.0,2.0,image)
    end
  end
end
