#coding:utf-8

gem 'minitest'
require 'minitest/autorun'
require 'minitest/unit'
require 'pp'
require 'test_helper'

class Monpe::TestReportPaper < MiniTest::Unit::TestCase

  include Monpe::TestHelper

  def setup
  end

  def teardown
  end
  
  def test_report_margin1
    report = Monpe::Report.new(data_file('test_report_margin1.red'))
    rdrr = Monpe::Renderer.new(out_file('test_report_margin1_.pdf'))
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish
  end

  def test_report_margin2
    report = Monpe::Report.new(data_file('test_report_margin2.red'))
    rdrr = Monpe::Renderer.new(out_file('test_report_margin2_.pdf'))
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish
  end

  def test_report_landscape
    report = Monpe::Report.new(data_file('test_report_landscape.red'))
    rdrr = Monpe::Renderer.new(out_file('test_report_landscape_.pdf'))
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish
  end

  def test_report_scale1
    report = Monpe::Report.new(data_file('test_report_scale1.red'))
    rdrr = Monpe::Renderer.new(out_file('test_report_scale1_.pdf'))
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish
  end

  def test_report_custom1
    report = Monpe::Report.new(data_file('test_report_custom1.red'))
    rdrr = Monpe::Renderer.new(out_file('test_report_custom1_.pdf'))
    report.render(rdrr)
    rdrr.end_render
    rdrr.finish
  end

end
